# Poco::ActiveRecord

# class StatementPlaceholderProvider

Library: ActiveRecord
Package: ActiveRecord
Header: Poco/ActiveRecord/StatementPlaceholderProvider.h

## Inheritance

Known Derived Classes: DefaultStatementPlaceholderProvider, PostgresStatementPlaceholderProvider

## Member Summary

Member Functions: next, reset

## Types Aliases

### Ptr

using Ptr = std::unique_ptr < StatementPlaceholderProvider >;

## Destructor

### ~StatementPlaceholderProvider

virtual ~StatementPlaceholderProvider();

## Member Functions

### next

virtual std::string next() = 0;

### reset

virtual void reset() = 0;